/**
 * @file libkydevicesec_cdrom.h
 * @author lixiuwen (lixiuwen@kylinos.cn)
 * @brief 光驱管控
 * @version 0.1
 * @date 2024-03-20
 * 
 * @copyright Copyright (c) 2024
 * 
 * @defgroup 设备安全
 * @{
 */

#ifndef LIBKYDEVICESEC_CDROM_H
#define LIBKYDEVICESEC_CDROM_H

#ifdef __cplusplus
extern "C" {
#endif

typedef enum _kdk_cdrom_status {
    KDK_CDROM_ENABLE = 1,             //启用刻录机  
    KDK_CDROM_DISABLE = 2,            //禁用刻录机 
    KDK_CDROM_RO = 5,                 //只读刻录机
} kdk_cdrom_status;


/**
 * @brief 设置刻录机管控状态
 * @param status [in] 刻录机管控状态，参见_kdk_cdrom_status
 * @return int 返回0表示成功，返回其他表示失败（-5000表示门禁管控禁止访问）
 */
extern int kdk_device_set_cdrom_status(int status);

/**
 * @brief 获取刻录机管控状态
 * @return int 返回刻录机管控状态，参见_kdk_cdrom_status，返回其他表示失败（-5000表示门禁管控禁止访问）
 */
extern int kdk_device_get_cdrom_status();

#ifdef __cplusplus
}
#endif

#endif
